# *****************************************************************************
#  Description : Makefile to build the Application Controller Plugins
#  Auteur      : Marc Simonetti
# *****************************************************************************

FLUXVIDEOBIN=fluxvideo.plugin
VERSION_FLUXVIDEO=1

PHPPLUGIN=Fluxvideo.php
PHPTHUMB=Fluxvideo.png

RM=@rm -f
CP=@cp
CC=@gcc

ifdef INCLUDEDIR
INCLUDE=-I. -I../. -I $(INCLUDEDIR)
else
INCLUDE=-I. -I../.
endif

ifdef LIBDIR
LIBSDIR=-L. -L../. -L$(LIBDIR)
else
LIBSDIR=-L. -L../.
endif

ifdef BINDIR
BINSDIR=$(BINDIR)/Fluxvideo
else
BINSDIR=./Fluxvideo
endif


CFLAGS=-Wall -Wunused -g -O $(INCLUDE)
CC_OPT=-L.
LIBS=$(LIBSDIR) -liCommon -ldl
CLIBS=-shared

# *****************************************************************************
# Operations
%.o: %.c
	@echo "=== Compiling $@..."
	$(CC) -o $@ -c $< $(CFLAGS)

# *****************************************************************************
# Targets
all: $(FLUXVIDEOBIN)

clean:
	@echo -n "Cleaning... "
	$(RM) *.o $(FLUXVIDEOBIN)
	$(RM) -r $(BINSDIR)
	@echo "Ok"

install:

# *****************************************************************************
# Dependances
iPlugFluxvideo.o:       iPlugFluxvideo.c

# *****************************************************************************
# Edition de liens
$(FLUXVIDEOBIN):             iPlugFluxvideo.o
	                @echo "=== Linking $@..."
	                $(CC) -o $@ $^ $(CC_OPT) $(CLIBS) $(LIBS) -Wl,-soname,libiPlugFluxvideo.so.$(VERSION_VIDEO)
	                @if test ! -z "$(BINSDIR)";         \
					then                                \
                        mkdir -p $(BINSDIR) ;           \
						cp $@ $(BINSDIR)/$@ ;           \
                        cp $(PHPPLUGIN) $(BINSDIR)/$(PHPPLUGIN) ; \
                        cp $(PHPTHUMB) $(BINSDIR)/$(PHPTHUMB) ;  \
					fi;
	                @echo "Done."
